API Explorer 1884 endpoints

Create new certificate_of_compliance_on_chain

POST /obp/v7.0.0/banks/dylan-bank/dynamic-entities/certificate_of_compliance_on_chain

OBPv7.0.0-dynamicEntity_createcertificate_of_compliance_on_chain_dylan-bank Roles: CanCreateDynamicEntityRecord_certificate_of_compliance_on_chain(per bank) _Certificate_of_compliance_on_chain(dylan-bank)Dynamic-EntityDynamic

Create new certificate_of_compliance_on_chain.

For data from the block chain about about an activity. This Dynamic Entity is part of OGCR.

Property List:

  • certificate_of_compliance_id: Links to the parcel dynamic entity. The on-chain NFT is keyed by this id.
  • certification_body_id: ID of the certification body
  • token_id: CarbonProjectNFT token id minted for this parcel.
  • minted_at: On-chain block timestamp (mintedAt) from projectData, unix seconds.
  • owner_address: Current owner of the NFT (operator OGCR wallet address).
  • token_uri: tokenURI of the NFT (ERC721 metadata data-URI).
  • contract_address: CarbonProjectNFT contract address the token was read from.
  • chain_id: EVM chain id (OGCR chain = 2025).
  • tx_hash: Mint transaction hash (from the CarbonProjectMinted
  • block_number: Block number the mint was included in.
  • country_id: Country of issuance
  • issue_date: Issuance data
  • expiry_date: Expiry date
  • carbon_removals_under_baseline: TBD
  • soil_emissions_under_baseline: TBD
  • permanent_net_carbon_removal_benefit: TBD
  • carbon_farming_temporary_net_carbon_removal_benefit: TBD
  • carbon_farming_net_soil_emission_reduction_benefit: TBD
  • carbon_storage_temporary_net_carbon_removal_benefit: TBD
  • certification_status: TBD
  • certification_scheme_rules_and_procedures: TBD
  • certification_annual_reports: TBD
  • activity_id: ID of the activity being certified.

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"certificate_of_compliance_on_chain"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "certificate_of_compliance_id": "string",
  "certification_body_id": "3dece208-c95c-11f0-9041-54e1adfac5b2",
  "audit_report_id": "string",
  "token_id": "parcel_AB12CD34EF",
  "minted_at": 1779280448,
  "owner_address": "0x30753E4A8aad7F8597332E813735Def5dD395028",
  "token_uri": "data:application/json;base64,eyJuYW1lIjoiQ2FyYm9uIn0=",
  "contract_address": "0xeec918d74c746167564401103096D45BbD494B74",
  "chain_id": 2025,
  "tx_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
  "block_number": 12345,
  "country_id": "DE",
  "issue_date": "2026-12-25",
  "expiry_date": "2031-12-25",
  "carbon_removals_under_baseline": 6,
  "soil_emissions_under_baseline": 6,
  "permanent_net_carbon_removal_benefit": 6,
  "carbon_farming_temporary_net_carbon_removal_benefit": 6,
  "carbon_farming_net_soil_emission_reduction_benefit": 6,
  "carbon_storage_temporary_net_carbon_removal_benefit": 6,
  "certification_status": "TBD",
  "certification_scheme_rules_and_procedures": "TBD",
  "certification_annual_reports": "TBD",
  "activity_id": "TBD"
}
Example success response
{
  "bank_id": "dylan-bank",
  "certificate_of_compliance_on_chain": {
    "certificate_of_compliance_on_chain_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
    "certificate_of_compliance_id": "string",
    "certification_body_id": "3dece208-c95c-11f0-9041-54e1adfac5b2",
    "audit_report_id": "string",
    "token_id": "parcel_AB12CD34EF",
    "minted_at": 1779280448,
    "owner_address": "0x30753E4A8aad7F8597332E813735Def5dD395028",
    "token_uri": "data:application/json;base64,eyJuYW1lIjoiQ2FyYm9uIn0=",
    "contract_address": "0xeec918d74c746167564401103096D45BbD494B74",
    "chain_id": 2025,
    "tx_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "block_number": 12345,
    "country_id": "DE",
    "issue_date": "2026-12-25",
    "expiry_date": "2031-12-25",
    "carbon_removals_under_baseline": 6,
    "soil_emissions_under_baseline": 6,
    "permanent_net_carbon_removal_benefit": 6,
    "carbon_farming_temporary_net_carbon_removal_benefit": 6,
    "carbon_farming_net_soil_emission_reduction_benefit": 6,
    "carbon_storage_temporary_net_carbon_removal_benefit": 6,
    "certification_status": "TBD",
    "certification_scheme_rules_and_procedures": "TBD",
    "certification_annual_reports": "TBD",
    "activity_id": "TBD"
  },
  "metadata": {
    "created": {
      "at": "2026-09-30T10:12:00Z",
      "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    },
    "updated": {
      "at": "2026-09-30T11:40:00Z",
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    }
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 dynamicEntity_createcertificate_of_compliance_on_chain_dylan-bank Originally /banks/dylan-bank/dynamic-entities/certificate_of_compliance_on_chain